Skip to main content
PATCH
/
automations
/
jobs
/
{job_id}
Update Job
curl --request PATCH \
  --url https://api.ara.so/automations/jobs/{job_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "enabled": true,
  "payload": {},
  "max_retries": 10,
  "retry_backoff_seconds": 1800
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string
required

Body

application/json
name
string | null
Required string length: 1 - 120
enabled
boolean | null
payload
Payload · object
max_retries
integer | null
Required range: 0 <= x <= 20
retry_backoff_seconds
integer | null
Required range: 1 <= x <= 3600

Response

Successful Response